Index: npl/mailserver/netqmail/roberto-netqmail-1.06.patch-latest
===================================================================
--- npl/mailserver/netqmail/roberto-netqmail-1.06.patch-latest	(revision cd8630be6536b27ae1c762184795ee87723202ab)
+++ npl/mailserver/netqmail/roberto-netqmail-1.06.patch-latest	(revision 1ebb340be23e45ead361b729734f0e82007af6bd)
@@ -29753,6 +30012,6 @@
 diff -ruN ../netqmail-1.06-original/surblfilter.9 netqmail-1.06/surblfilter.9
 --- ../netqmail-1.06-original/surblfilter.9	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/surblfilter.9	2016-11-22 21:03:57.130527499 +0100
-@@ -0,0 +1,80 @@
++++ netqmail-1.06/surblfilter.9	2019-06-19 09:49:02.553441531 +0200
+@@ -0,0 +1,82 @@
 +.TH surblfilter 8
 +.SH NAME
@@ -29789,4 +30048,5 @@
 +whitelist recipients by having the email addresses in \fIsurblrcpt\fR control file. You can
 +change the name of this control file by setting \fBSURBLRCPT\fR environment variable.
++
 +.PP
 +\fBsurblfilter\fR uses the control file \fIsurbldomainwhite\fR to whitelist a domain.
@@ -29797,8 +30057,9 @@
 +
 +.PP
-+\fBsurblfilter\fR caches results in QMAILHOME/control/cache. The filename represents the domain.
-+If a file as permission 0600, it means that the domain was blacklisted. The entries are
-+cached for a default of 300 seconds. You can change this by setting \fIcachelifetime\fR
-+control file. This directory should be owned by the uid set for running qmail-smtpd(8).
++\fBsurblfilter\fR caches results in @controldir@/cache directory. The filename of files in this
++directory represents the domain. If a file has permission 0600, it means that the domain was
++blacklisted. The entries are cached for a default of 300 seconds. You can change this by
++setting \fBCACHELIFETIME\fR environment variable or setting this value in \fBcacheliftime\fR
++control file. The cache directory should be owned by the uid of the running qmail-smtpd(8).
 +
 +\fBsurblfilter\fR removes all leading host names, subdomains, www., randomized subdomains, etc. In
@@ -29837,6 +30098,6 @@
 diff -ruN ../netqmail-1.06-original/surblfilter.c netqmail-1.06/surblfilter.c
 --- ../netqmail-1.06-original/surblfilter.c	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/surblfilter.c	2017-05-10 21:54:26.719100696 +0200
-@@ -0,0 +1,881 @@
++++ netqmail-1.06/surblfilter.c	2020-04-09 19:46:02.374231173 +0200
+@@ -0,0 +1,882 @@
 +/*
 + * $Log: surblfilter.c,v $
@@ -30058,24 +30319,24 @@
 +dns_text(char *dn)
 +{
-+        u_char          response[PACKETSZ + PACKETSZ + 1];      /* response */
++	u_char          response[PACKETSZ + PACKETSZ + 1];	/* response */
 +	int             responselen;			/* buffer length */
-+	int             rc;				/* misc variables */
++	int             rc;						/* misc variables */
 +	int             ancount, qdcount;		/* answer count and query count */
 +	u_short         type, rdlength;			/* fields of records returned */
 +	u_char         *eom, *cp;
-+	u_char          buf[PACKETSZ + 1];		/* we're storing a TXT record here, not just a DNAME */
++	u_char          buf[PACKETSZ + PACKETSZ + 1];		/* we're storing a TXT record here, not just a DNAME */
 +	u_char         *bufptr;
 +
-+        for (rc = 0, responselen = PACKETSZ;rc < 2;rc++) {
-+                if ((responselen = res_query(dn, C_IN, T_TXT, response, responselen)) < 0) {
-+                        if (h_errno == TRY_AGAIN)
-+                                return strdup("e=temp;");
-+                        else
-+                                return strdup("e=perm;");
-+                }
-+                if (responselen <= PACKETSZ)
-+                        break;
++	for (rc = 0, responselen = PACKETSZ;rc < 2;rc++) {
++		if ((responselen = res_query(dn, C_IN, T_TXT, response, responselen)) < 0) {
++			if (h_errno == TRY_AGAIN)
++				return strdup("e=temp;");
++			else
++				return strdup("e=perm;");
++		}
++		if (responselen <= PACKETSZ)
++			break;
 +		else
-+                if (responselen >= (2 * PACKETSZ))
++		if (responselen >= (2 * PACKETSZ))
 +			return strdup("e=perm;");
 +	}
@@ -30108,5 +30369,5 @@
 +
 +			cnt = *cp++;		/* http://crynwr.com/rfc1035/rfc1035.html#3.3.14. */
-+                        if (bufptr - buf + cnt + 1 >= (2 * PACKETSZ))
++			if (bufptr - buf + cnt + 1 >= (2 * PACKETSZ))
 +				return strdup("e=perm;");
 +			if (cp + cnt > eom)
@@ -30200,5 +30461,5 @@
 +		return (-1);
 +	}
-+	if (!stralloc_copys(&cachefile, "control/cache", 13))
++	if (!stralloc_copyb(&cachefile, "control/cache", 13))
 +		die_nomem();
 +	if (!stralloc_0(&cachefile))
@@ -30720,7 +30981,8 @@
 +	x++;
 +}
++
 diff -ruN ../netqmail-1.06-original/surblqueue.sh netqmail-1.06/surblqueue.sh
 --- ../netqmail-1.06-original/surblqueue.sh	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/surblqueue.sh	2016-11-22 21:03:57.131527465 +0100
++++ netqmail-1.06/surblqueue.sh	2019-02-27 20:57:13.409024860 +0100
 @@ -0,0 +1,33 @@
 +#!/bin/sh
@@ -30759,5 +31021,5 @@
 diff -ruN ../netqmail-1.06-original/tai.h netqmail-1.06/tai.h
 --- ../netqmail-1.06-original/tai.h	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/tai.h	2016-11-22 21:03:57.131527465 +0100
++++ netqmail-1.06/tai.h	2019-02-27 20:57:13.409024860 +0100
 @@ -0,0 +1,34 @@
 +/*
@@ -30797,5 +31059,5 @@
 diff -ruN ../netqmail-1.06-original/tcp-env.c netqmail-1.06/tcp-env.c
 --- ../netqmail-1.06-original/tcp-env.c	1998-06-15 12:53:16.000000000 +0200
-+++ netqmail-1.06/tcp-env.c	2016-11-22 21:03:57.131527465 +0100
++++ netqmail-1.06/tcp-env.c	2019-02-27 20:57:13.410024849 +0100
 @@ -10,6 +10,7 @@
  #include "scan.h"
@@ -30844,7 +31106,19 @@
         case_lowers(remotename.s);
         if (!env_put2("TCPREMOTEHOST",remotename.s)) die();
+diff -ruN ../netqmail-1.06-original/time_t_size.c netqmail-1.06/time_t_size.c
+--- ../netqmail-1.06-original/time_t_size.c	1970-01-01 01:00:00.000000000 +0100
++++ netqmail-1.06/time_t_size.c	2019-05-23 15:12:30.140092743 +0200
+@@ -0,0 +1,8 @@
++#include <stdio.h>
++#include <time.h>
++int
++main()
++{
++	printf("#define SIZEOF_TIME_T %d\n", sizeof(time_t));
++	return (0);
++}
 diff -ruN ../netqmail-1.06-original/timeoutconn.c netqmail-1.06/timeoutconn.c
 --- ../netqmail-1.06-original/timeoutconn.c	1998-06-15 12:53:16.000000000 +0200
-+++ netqmail-1.06/timeoutconn.c	2016-11-22 21:03:57.131527465 +0100
++++ netqmail-1.06/timeoutconn.c	2019-02-27 20:57:13.410024849 +0100
 @@ -10,9 +10,10 @@
  #include "byte.h"
@@ -30875,6 +31149,7 @@
 diff -ruN ../netqmail-1.06-original/tls.c netqmail-1.06/tls.c
 --- ../netqmail-1.06-original/tls.c	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/tls.c	2016-11-22 21:03:57.131527465 +0100
-@@ -0,0 +1,25 @@
++++ netqmail-1.06/tls.c	2019-04-09 20:56:31.139694929 +0200
+@@ -0,0 +1,27 @@
++#ifdef TLS
 +#include "exit.h"
 +#include "error.h"
@@ -30902,7 +31177,8 @@
 +  return (errno == error_timeout) ? "timed out" : error_str(errno);
 +}
++#endif
 diff -ruN ../netqmail-1.06-original/tls.h netqmail-1.06/tls.h
 --- ../netqmail-1.06-original/tls.h	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/tls.h	2016-11-22 21:03:57.132527432 +0100
++++ netqmail-1.06/tls.h	2019-02-27 20:57:13.410024849 +0100
 @@ -0,0 +1,16 @@
 +#ifndef TLS_H
@@ -30924,5 +31200,5 @@
 diff -ruN ../netqmail-1.06-original/tryulong64.c netqmail-1.06/tryulong64.c
 --- ../netqmail-1.06-original/tryulong64.c	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/tryulong64.c	2016-11-22 21:03:57.132527432 +0100
++++ netqmail-1.06/tryulong64.c	2019-02-27 20:57:13.410024849 +0100
 @@ -0,0 +1,47 @@
 +/*
@@ -30975,5 +31251,5 @@
 diff -ruN ../netqmail-1.06-original/uint64.h1 netqmail-1.06/uint64.h1
 --- ../netqmail-1.06-original/uint64.h1	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/uint64.h1	2016-11-22 21:03:57.132527432 +0100
++++ netqmail-1.06/uint64.h1	2019-02-27 20:57:13.410024849 +0100
 @@ -0,0 +1,12 @@
 +/*
@@ -30991,5 +31267,5 @@
 diff -ruN ../netqmail-1.06-original/uint64.h2 netqmail-1.06/uint64.h2
 --- ../netqmail-1.06-original/uint64.h2	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/uint64.h2	2016-11-22 21:03:57.132527432 +0100
++++ netqmail-1.06/uint64.h2	2019-02-27 20:57:13.410024849 +0100
 @@ -0,0 +1,12 @@
 +/*
@@ -31007,5 +31283,5 @@
 diff -ruN ../netqmail-1.06-original/update_tmprsadh.sh netqmail-1.06/update_tmprsadh.sh
 --- ../netqmail-1.06-original/update_tmprsadh.sh	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/update_tmprsadh.sh	2016-11-22 21:03:57.132527432 +0100
++++ netqmail-1.06/update_tmprsadh.sh	2019-02-27 20:57:13.410024849 +0100
 @@ -0,0 +1,22 @@
 +#!/bin/sh
@@ -31033,5 +31309,5 @@
 diff -ruN ../netqmail-1.06-original/wildmat.c netqmail-1.06/wildmat.c
 --- ../netqmail-1.06-original/wildmat.c	1970-01-01 01:00:00.000000000 +0100
-+++ netqmail-1.06/wildmat.c	2016-11-22 21:03:57.132527432 +0100
++++ netqmail-1.06/wildmat.c	2019-02-27 20:57:13.410024849 +0100
 @@ -0,0 +1,173 @@
 +/*-** wildmat.c.orig	Wed Dec  3 11:46:31 1997
